<?php
$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_VEICULOS == 1) {
	
	class VeiculosController extends GxController {
	
		var $help = 'Cadastro dos veículos da matriz e das Unidades de negócios. Acesse no menu Comercial ->Veículos. ';
		
		public function actionView($id) {
			$this->render('view', array(
				'model' => $this->loadModel($id, 'Veiculos'),
			));
		}
	
		public function actionCreate() {
			$model = new Veiculos;
	
	
			if (isset($_POST['Veiculos'])) {
				
				$model->setAttributes($_POST['Veiculos']);
	
				if ($model->save()) {
					if (Yii::app()->getRequest()->getIsAjaxRequest())
						Yii::app()->end();
					else
						$this->redirect(array('view', 'id' => $model->VEI_IDVEICULO));
				}
			}
	
			$this->render('create', array( 'model' => $model));
		}
	
		public function actionUpdate($id) {
			$model = $this->loadModel($id, 'Veiculos');
	
	
			if (isset($_POST['Veiculos'])) {
				$model->setAttributes($_POST['Veiculos']);
	
				if ($model->save()) {
					$this->redirect(array('view', 'id' => $model->VEI_IDVEICULO));
				}
			}
	
			$this->render('update', array(
					'model' => $model,
					));
		}
	
		public function actionDelete($id) {
			if (Yii::app()->getRequest()->getIsPostRequest()) {
				$this->loadModel($id, 'Veiculos')->delete();
	
				if (!Yii::app()->getRequest()->getIsAjaxRequest())
					$this->redirect(array('admin'));
			} else
				throw new CHttpException(400, 'Sua solicitação é inválida.');
		}
	
		public function actionAdmin() {
			$model = new Veiculos('search');
			$model->unsetAttributes();
	
			if (isset($_GET['Veiculos']))
				$model->setAttributes($_GET['Veiculos']);
	
			$this->render('admin', array(
				'model' => $model,
			));
		}
	
	}
	
}